---
name: "getZigbeeLocalGroupRelation"
mode: "api"
versionRequirements:
  - { name: "@ray-js/ray", version: "1.5.2" }
title: "getZigbeeLocalGroupRelation - Get Zigbee Remote Group localId List"
---

## getZigbeeLocalGroupRelation

> [VERSION] @ray-js/ray >= 1.5.2

### Description

Get the list of localIds for Zigbee remote control groups

### Parameters

`Params`

| Parameter | Type | Required | Description |
| --- | --- | --- | --- |
| `params` | `IGetZigbeeLocalGroupRelation` | Yes | Request parameters |

### Return Value

Type: `Promise<IGetZigbeeLocalGroupRelationResponse>`

An object containing a locals array; each element includes code, order, localId, and categoryCode

##### IGetZigbeeLocalGroupRelationResponse

| Property | Type | Description |
| --- | --- | --- |
| `locals` | `IZigbeeLocalGroupRelationItem[]` | List of remote control group localId relationships |

### Referenced Types

##### `interface` IGetZigbeeLocalGroupRelation

| Property | Type | Description |
| --- | --- | --- |
| `devId` | `string` | Remote control device ID |

##### `interface` IZigbeeLocalGroupRelationItem

| Property | Type | Description |
| --- | --- | --- |
| `code` | `string` | DP code |
| `order` | `number` | Sort order |
| `localId` | `string` | Group localId used on the device side |
| `categoryCode` | `string` | Code used by the panel for mapping; values are prefixed with 300, e.g., 3001 |


### Examples

#### Basic usage

```ts
import { getZigbeeLocalGroupRelation } from '@ray-js/ray';

getZigbeeLocalGroupRelation({
  devId: 'your_device_id',
}).then((response) => {
  console.log('localId list:', response.locals);
}).catch((err) => {
  console.error(err);
});
```
